clang 8.0.0

Public Types | Public Member Functions | Friends | List of all members
clang::DeclContext::decl_iterator Class Reference

decl_iterator - Iterates through the declarations stored within this context. More...

`#include "clang/AST/DeclBase.h"`

## Public Types
using | value_type = Decl *
using | reference = const value_type &
using | pointer = const value_type *
using | iterator_category = std::forward_iterator_tag
using | difference_type = std::ptrdiff_t

## Public Member Functions
| decl_iterator ()=default
| decl_iterator (Decl *C)
reference | operator* () const
value_type | operator-> () const
decl_iterator & | operator++ ()
decl_iterator | operator++ (int)

## Friends
bool | operator== (decl_iterator x, decl_iterator y)
bool | operator!= (decl_iterator x, decl_iterator y)

## Detailed Description

decl_iterator - Iterates through the declarations stored within this context.

Definition at line 1954 of file DeclBase.h.

## Member Typedef Documentation

## ◆ difference_type

using clang::DeclContext::decl_iterator::difference_type = std::ptrdiff_t

Definition at line 1963 of file DeclBase.h.

## ◆ iterator_category

using clang::DeclContext::decl_iterator::iterator_category = std::forward_iterator_tag

Definition at line 1962 of file DeclBase.h.

## ◆ pointer

using clang::DeclContext::decl_iterator::pointer = const value_type *

Definition at line 1961 of file DeclBase.h.

## ◆ reference

using clang::DeclContext::decl_iterator::reference = const value_type &

Definition at line 1960 of file DeclBase.h.

## ◆ value_type

using clang::DeclContext::decl_iterator::value_type = Decl *

Definition at line 1959 of file DeclBase.h.

## Constructor & Destructor Documentation

## ◆ decl_iterator() [1/2]

clang::DeclContext::decl_iterator::decl_iterator | ( |  | ) |
| default

## ◆ decl_iterator() [2/2]

clang::DeclContext::decl_iterator::decl_iterator | ( | Decl * | C | ) |
| inline explicit

Definition at line 1966 of file DeclBase.h.

## Member Function Documentation

## ◆ operator*()

reference clang::DeclContext::decl_iterator::operator* | ( |  | ) | const
| inline

Definition at line 1968 of file DeclBase.h.

## ◆ operator++() [1/2]

decl_iterator& clang::DeclContext::decl_iterator::operator++ | ( |  | ) |
| inline

Definition at line 1973 of file DeclBase.h.

References clang::Decl::getNextDeclInContext().

## ◆ operator++() [2/2]

decl_iterator clang::DeclContext::decl_iterator::operator++ | ( | int |  | ) |
| inline

Definition at line 1978 of file DeclBase.h.

## ◆ operator->()

value_type clang::DeclContext::decl_iterator::operator-> | ( |  | ) | const
| inline

Definition at line 1971 of file DeclBase.h.

## Friends And Related Function Documentation

## ◆ operator!=

bool operator!= | ( | decl_iterator | x,
|  | decl_iterator | y
| ) |  |
| friend

Definition at line 1988 of file DeclBase.h.

## ◆ operator==

bool operator== | ( | decl_iterator | x,
|  | decl_iterator | y
| ) |  |
| friend

Definition at line 1984 of file DeclBase.h.

The documentation for this class was generated from the following file:

- include/clang/AST/DeclBase.h